%define debug_package %{nil}
%global pypi_name playsound

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        1%{?dist}
Group:          Development/Python
Summary:        Pure Python, cross platform, single function module with no dependencies for playing sounds.
License:        MIT
URL:            https://github.com/TaylorSMarks/playsound
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

%description
Pure Python, cross platform, single function module with no dependencies for playing sounds.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python library for reading and writing image data
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}
Requires:       gstreamer1-plugins-base

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Pure Python, cross platform, single function module with no dependencies for playing sounds.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}.*.pyc
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%changelog
* Fri May 21 2021 Jean-Marc Liger <ligenix@iscp.fr> 0.4.3-1
- Import from OpenMandriva
- Rename python3-%{pypi_name} to %{python3_pkgversion}-%{pypi_name}
